public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/ekopath/
Date: Sat, 12 Mar 2016 16:33:32 +0000 (UTC)	[thread overview]
Message-ID: <1457800396.9bea49004a2fe8d150e3d3adc0bb852d5ed63b12.mgorny@gentoo> (raw)

commit:     9bea49004a2fe8d150e3d3adc0bb852d5ed63b12
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 12 15:49:52 2016 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Mar 12 16:33:16 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9bea4900

dev-lang/ekopath: Install versioned install dirs for future multislot

 ...build => ekopath-6.0.619_p20151213-r100.ebuild} | 18 +++---
 ...build => ekopath-6.0.637_p20151231-r100.ebuild} | 18 +++---
 ...build => ekopath-6.0.661_p20160124-r100.ebuild} | 18 +++---
 ...build => ekopath-6.0.705_p20160303-r100.ebuild} | 18 +++---
 ...build => ekopath-6.0.713_p20160311-r100.ebuild} | 18 +++---
 dev-lang/ekopath/ekopath-6.0.713_p20160311.ebuild  | 74 ----------------------
 6 files changed, 50 insertions(+), 114 deletions(-)

diff --git a/dev-lang/ekopath/ekopath-6.0.619_p20151213.ebuild b/dev-lang/ekopath/ekopath-6.0.619_p20151213-r100.ebuild
similarity index 75%
copy from dev-lang/ekopath/ekopath-6.0.619_p20151213.ebuild
copy to dev-lang/ekopath/ekopath-6.0.619_p20151213-r100.ebuild
index c886d13..3711d11 100644
--- a/dev-lang/ekopath/ekopath-6.0.619_p20151213.ebuild
+++ b/dev-lang/ekopath/ekopath-6.0.619_p20151213-r100.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -7,6 +7,7 @@ EAPI=5
 inherit versionator multilib pax-utils
 
 MY_PV=$(get_version_component_range 1-3)
+MY_P=${PN}-${MY_PV}
 DATE=$(get_version_component_range 4)
 DATE=${DATE#p}
 DATE=${DATE:0:4}-${DATE:4:2}-${DATE:6}
@@ -27,8 +28,8 @@ RDEPEND=""
 RESTRICT="bindist mirror"
 
 QA_PREBUILT="
-	opt/${PN}/lib/${MY_PV}/x8664/*
-	opt/${PN}/bin/*"
+	opt/${MY_P}/lib/${MY_PV}/x8664/*
+	opt/${MY_P}/bin/*"
 
 S="${WORKDIR}"
 
@@ -54,12 +55,12 @@ src_install() {
 	fi
 
 	./"${INSTALLER}" \
-		--prefix "${ED%/}/opt/${PN}" \
+		--prefix "${ED%/}/opt/${MY_P}" \
 		--mode unattended || die
 
-	if [[ ! -d ${ED%/}/opt/${PN}/lib/${MY_PV} ]]; then
+	if [[ ! -d ${ED%/}/opt/${MY_P}/lib/${MY_PV} ]]; then
 		local guess
-		cd "${ED%/}/opt/${PN}/lib" && guess=( * )
+		cd "${ED%/}/opt/${MY_P}/lib" && guess=( * )
 
 		if [[ ${guess[@]} ]]; then
 			die "Incorrect release version in PV, guessing it should be: ${guess[*]}"
@@ -67,8 +68,9 @@ src_install() {
 			die "No libdir installed"
 		fi
 	fi
-	[[ -x ${ED%}/opt/${PN}/bin/pathcc ]] || die "No pathcc executable was installed, your hardware is unsupported most likely"
+	[[ -x ${ED%}/opt/${MY_P}/bin/pathcc ]] || die "No pathcc executable was installed, your hardware is unsupported most likely"
 
-	rm -r "${ED}/opt/${PN}"/uninstall* || die
+	rm -r "${ED}/opt/${MY_P}"/uninstall* || die
+	dosym ${MY_P} /opt/${PN}
 	doenvd 99${PN}
 }

diff --git a/dev-lang/ekopath/ekopath-6.0.637_p20151231.ebuild b/dev-lang/ekopath/ekopath-6.0.637_p20151231-r100.ebuild
similarity index 75%
rename from dev-lang/ekopath/ekopath-6.0.637_p20151231.ebuild
rename to dev-lang/ekopath/ekopath-6.0.637_p20151231-r100.ebuild
index c886d13..3711d11 100644
--- a/dev-lang/ekopath/ekopath-6.0.637_p20151231.ebuild
+++ b/dev-lang/ekopath/ekopath-6.0.637_p20151231-r100.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -7,6 +7,7 @@ EAPI=5
 inherit versionator multilib pax-utils
 
 MY_PV=$(get_version_component_range 1-3)
+MY_P=${PN}-${MY_PV}
 DATE=$(get_version_component_range 4)
 DATE=${DATE#p}
 DATE=${DATE:0:4}-${DATE:4:2}-${DATE:6}
@@ -27,8 +28,8 @@ RDEPEND=""
 RESTRICT="bindist mirror"
 
 QA_PREBUILT="
-	opt/${PN}/lib/${MY_PV}/x8664/*
-	opt/${PN}/bin/*"
+	opt/${MY_P}/lib/${MY_PV}/x8664/*
+	opt/${MY_P}/bin/*"
 
 S="${WORKDIR}"
 
@@ -54,12 +55,12 @@ src_install() {
 	fi
 
 	./"${INSTALLER}" \
-		--prefix "${ED%/}/opt/${PN}" \
+		--prefix "${ED%/}/opt/${MY_P}" \
 		--mode unattended || die
 
-	if [[ ! -d ${ED%/}/opt/${PN}/lib/${MY_PV} ]]; then
+	if [[ ! -d ${ED%/}/opt/${MY_P}/lib/${MY_PV} ]]; then
 		local guess
-		cd "${ED%/}/opt/${PN}/lib" && guess=( * )
+		cd "${ED%/}/opt/${MY_P}/lib" && guess=( * )
 
 		if [[ ${guess[@]} ]]; then
 			die "Incorrect release version in PV, guessing it should be: ${guess[*]}"
@@ -67,8 +68,9 @@ src_install() {
 			die "No libdir installed"
 		fi
 	fi
-	[[ -x ${ED%}/opt/${PN}/bin/pathcc ]] || die "No pathcc executable was installed, your hardware is unsupported most likely"
+	[[ -x ${ED%}/opt/${MY_P}/bin/pathcc ]] || die "No pathcc executable was installed, your hardware is unsupported most likely"
 
-	rm -r "${ED}/opt/${PN}"/uninstall* || die
+	rm -r "${ED}/opt/${MY_P}"/uninstall* || die
+	dosym ${MY_P} /opt/${PN}
 	doenvd 99${PN}
 }

diff --git a/dev-lang/ekopath/ekopath-6.0.661_p20160124.ebuild b/dev-lang/ekopath/ekopath-6.0.661_p20160124-r100.ebuild
similarity index 75%
rename from dev-lang/ekopath/ekopath-6.0.661_p20160124.ebuild
rename to dev-lang/ekopath/ekopath-6.0.661_p20160124-r100.ebuild
index c886d13..3711d11 100644
--- a/dev-lang/ekopath/ekopath-6.0.661_p20160124.ebuild
+++ b/dev-lang/ekopath/ekopath-6.0.661_p20160124-r100.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -7,6 +7,7 @@ EAPI=5
 inherit versionator multilib pax-utils
 
 MY_PV=$(get_version_component_range 1-3)
+MY_P=${PN}-${MY_PV}
 DATE=$(get_version_component_range 4)
 DATE=${DATE#p}
 DATE=${DATE:0:4}-${DATE:4:2}-${DATE:6}
@@ -27,8 +28,8 @@ RDEPEND=""
 RESTRICT="bindist mirror"
 
 QA_PREBUILT="
-	opt/${PN}/lib/${MY_PV}/x8664/*
-	opt/${PN}/bin/*"
+	opt/${MY_P}/lib/${MY_PV}/x8664/*
+	opt/${MY_P}/bin/*"
 
 S="${WORKDIR}"
 
@@ -54,12 +55,12 @@ src_install() {
 	fi
 
 	./"${INSTALLER}" \
-		--prefix "${ED%/}/opt/${PN}" \
+		--prefix "${ED%/}/opt/${MY_P}" \
 		--mode unattended || die
 
-	if [[ ! -d ${ED%/}/opt/${PN}/lib/${MY_PV} ]]; then
+	if [[ ! -d ${ED%/}/opt/${MY_P}/lib/${MY_PV} ]]; then
 		local guess
-		cd "${ED%/}/opt/${PN}/lib" && guess=( * )
+		cd "${ED%/}/opt/${MY_P}/lib" && guess=( * )
 
 		if [[ ${guess[@]} ]]; then
 			die "Incorrect release version in PV, guessing it should be: ${guess[*]}"
@@ -67,8 +68,9 @@ src_install() {
 			die "No libdir installed"
 		fi
 	fi
-	[[ -x ${ED%}/opt/${PN}/bin/pathcc ]] || die "No pathcc executable was installed, your hardware is unsupported most likely"
+	[[ -x ${ED%}/opt/${MY_P}/bin/pathcc ]] || die "No pathcc executable was installed, your hardware is unsupported most likely"
 
-	rm -r "${ED}/opt/${PN}"/uninstall* || die
+	rm -r "${ED}/opt/${MY_P}"/uninstall* || die
+	dosym ${MY_P} /opt/${PN}
 	doenvd 99${PN}
 }

diff --git a/dev-lang/ekopath/ekopath-6.0.705_p20160303.ebuild b/dev-lang/ekopath/ekopath-6.0.705_p20160303-r100.ebuild
similarity index 75%
rename from dev-lang/ekopath/ekopath-6.0.705_p20160303.ebuild
rename to dev-lang/ekopath/ekopath-6.0.705_p20160303-r100.ebuild
index c886d13..3711d11 100644
--- a/dev-lang/ekopath/ekopath-6.0.705_p20160303.ebuild
+++ b/dev-lang/ekopath/ekopath-6.0.705_p20160303-r100.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -7,6 +7,7 @@ EAPI=5
 inherit versionator multilib pax-utils
 
 MY_PV=$(get_version_component_range 1-3)
+MY_P=${PN}-${MY_PV}
 DATE=$(get_version_component_range 4)
 DATE=${DATE#p}
 DATE=${DATE:0:4}-${DATE:4:2}-${DATE:6}
@@ -27,8 +28,8 @@ RDEPEND=""
 RESTRICT="bindist mirror"
 
 QA_PREBUILT="
-	opt/${PN}/lib/${MY_PV}/x8664/*
-	opt/${PN}/bin/*"
+	opt/${MY_P}/lib/${MY_PV}/x8664/*
+	opt/${MY_P}/bin/*"
 
 S="${WORKDIR}"
 
@@ -54,12 +55,12 @@ src_install() {
 	fi
 
 	./"${INSTALLER}" \
-		--prefix "${ED%/}/opt/${PN}" \
+		--prefix "${ED%/}/opt/${MY_P}" \
 		--mode unattended || die
 
-	if [[ ! -d ${ED%/}/opt/${PN}/lib/${MY_PV} ]]; then
+	if [[ ! -d ${ED%/}/opt/${MY_P}/lib/${MY_PV} ]]; then
 		local guess
-		cd "${ED%/}/opt/${PN}/lib" && guess=( * )
+		cd "${ED%/}/opt/${MY_P}/lib" && guess=( * )
 
 		if [[ ${guess[@]} ]]; then
 			die "Incorrect release version in PV, guessing it should be: ${guess[*]}"
@@ -67,8 +68,9 @@ src_install() {
 			die "No libdir installed"
 		fi
 	fi
-	[[ -x ${ED%}/opt/${PN}/bin/pathcc ]] || die "No pathcc executable was installed, your hardware is unsupported most likely"
+	[[ -x ${ED%}/opt/${MY_P}/bin/pathcc ]] || die "No pathcc executable was installed, your hardware is unsupported most likely"
 
-	rm -r "${ED}/opt/${PN}"/uninstall* || die
+	rm -r "${ED}/opt/${MY_P}"/uninstall* || die
+	dosym ${MY_P} /opt/${PN}
 	doenvd 99${PN}
 }

diff --git a/dev-lang/ekopath/ekopath-6.0.619_p20151213.ebuild b/dev-lang/ekopath/ekopath-6.0.713_p20160311-r100.ebuild
similarity index 75%
rename from dev-lang/ekopath/ekopath-6.0.619_p20151213.ebuild
rename to dev-lang/ekopath/ekopath-6.0.713_p20160311-r100.ebuild
index c886d13..3711d11 100644
--- a/dev-lang/ekopath/ekopath-6.0.619_p20151213.ebuild
+++ b/dev-lang/ekopath/ekopath-6.0.713_p20160311-r100.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -7,6 +7,7 @@ EAPI=5
 inherit versionator multilib pax-utils
 
 MY_PV=$(get_version_component_range 1-3)
+MY_P=${PN}-${MY_PV}
 DATE=$(get_version_component_range 4)
 DATE=${DATE#p}
 DATE=${DATE:0:4}-${DATE:4:2}-${DATE:6}
@@ -27,8 +28,8 @@ RDEPEND=""
 RESTRICT="bindist mirror"
 
 QA_PREBUILT="
-	opt/${PN}/lib/${MY_PV}/x8664/*
-	opt/${PN}/bin/*"
+	opt/${MY_P}/lib/${MY_PV}/x8664/*
+	opt/${MY_P}/bin/*"
 
 S="${WORKDIR}"
 
@@ -54,12 +55,12 @@ src_install() {
 	fi
 
 	./"${INSTALLER}" \
-		--prefix "${ED%/}/opt/${PN}" \
+		--prefix "${ED%/}/opt/${MY_P}" \
 		--mode unattended || die
 
-	if [[ ! -d ${ED%/}/opt/${PN}/lib/${MY_PV} ]]; then
+	if [[ ! -d ${ED%/}/opt/${MY_P}/lib/${MY_PV} ]]; then
 		local guess
-		cd "${ED%/}/opt/${PN}/lib" && guess=( * )
+		cd "${ED%/}/opt/${MY_P}/lib" && guess=( * )
 
 		if [[ ${guess[@]} ]]; then
 			die "Incorrect release version in PV, guessing it should be: ${guess[*]}"
@@ -67,8 +68,9 @@ src_install() {
 			die "No libdir installed"
 		fi
 	fi
-	[[ -x ${ED%}/opt/${PN}/bin/pathcc ]] || die "No pathcc executable was installed, your hardware is unsupported most likely"
+	[[ -x ${ED%}/opt/${MY_P}/bin/pathcc ]] || die "No pathcc executable was installed, your hardware is unsupported most likely"
 
-	rm -r "${ED}/opt/${PN}"/uninstall* || die
+	rm -r "${ED}/opt/${MY_P}"/uninstall* || die
+	dosym ${MY_P} /opt/${PN}
 	doenvd 99${PN}
 }

diff --git a/dev-lang/ekopath/ekopath-6.0.713_p20160311.ebuild b/dev-lang/ekopath/ekopath-6.0.713_p20160311.ebuild
deleted file mode 100644
index c886d13..0000000
--- a/dev-lang/ekopath/ekopath-6.0.713_p20160311.ebuild
+++ /dev/null
@@ -1,74 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-inherit versionator multilib pax-utils
-
-MY_PV=$(get_version_component_range 1-3)
-DATE=$(get_version_component_range 4)
-DATE=${DATE#p}
-DATE=${DATE:0:4}-${DATE:4:2}-${DATE:6}
-INSTALLER=${PN}-${DATE}-installer.run
-
-DESCRIPTION="PathScale EKOPath Compiler Suite"
-HOMEPAGE="http://www.pathscale.com/ekopath-compiler-suite"
-SRC_URI="http://c591116.r16.cf2.rackcdn.com/${PN}/nightly/Linux/${INSTALLER}"
-
-LICENSE="all-rights-reserved"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE=""
-
-DEPEND="!!app-arch/rpm"
-RDEPEND=""
-
-RESTRICT="bindist mirror"
-
-QA_PREBUILT="
-	opt/${PN}/lib/${MY_PV}/x8664/*
-	opt/${PN}/bin/*"
-
-S="${WORKDIR}"
-
-src_unpack() {
-	cp "${DISTDIR}/${INSTALLER}" "${S}/" || die
-	chmod +x "${S}/${INSTALLER}" || die
-}
-
-src_prepare() {
-	cat > 99${PN} <<-EOF || die
-		PATH=${EROOT%/}/opt/${PN}/bin
-		ROOTPATH=${EROOT%/}/opt/${PN}/bin
-		LDPATH=${EROOT%/}/opt/${PN}/lib:${EROOT%/}/opt/${PN}/lib/${MY_PV}/x8664/64
-		MANPATH=${EROOT%/}/opt/${PN}/docs/man
-	EOF
-}
-
-src_install() {
-	# EI_PAX marking is obsolete and PT_PAX breaks the binary.
-	# We must use XT_PAX to run the installer.
-	if [[ ${PAX_MARKINGS} == "XT" ]]; then
-		pax-mark m "${INSTALLER}"
-	fi
-
-	./"${INSTALLER}" \
-		--prefix "${ED%/}/opt/${PN}" \
-		--mode unattended || die
-
-	if [[ ! -d ${ED%/}/opt/${PN}/lib/${MY_PV} ]]; then
-		local guess
-		cd "${ED%/}/opt/${PN}/lib" && guess=( * )
-
-		if [[ ${guess[@]} ]]; then
-			die "Incorrect release version in PV, guessing it should be: ${guess[*]}"
-		else
-			die "No libdir installed"
-		fi
-	fi
-	[[ -x ${ED%}/opt/${PN}/bin/pathcc ]] || die "No pathcc executable was installed, your hardware is unsupported most likely"
-
-	rm -r "${ED}/opt/${PN}"/uninstall* || die
-	doenvd 99${PN}
-}


             reply	other threads:[~2016-03-12 16:33 UTC|newest]

Thread overview: 31+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-03-12 16:33 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-06-14  9:30 [gentoo-commits] repo/gentoo:master commit in: dev-lang/ekopath/ Mikle Kolyada
2016-10-21 18:58 Michał Górny
2016-10-21 18:58 Michał Górny
2016-06-30 17:07 Michał Górny
2016-06-23 12:48 Michał Górny
2016-04-29  9:27 Michał Górny
2016-04-29  9:27 Michał Górny
2016-04-10 12:34 Michał Górny
2016-03-25  8:28 Michał Górny
2016-03-19 14:03 Michał Górny
2016-03-12 16:33 Michał Górny
2016-03-12 16:33 Michał Górny
2016-03-12 16:33 Michał Górny
2016-03-12 16:33 Michał Górny
2016-03-12 13:41 Michał Górny
2016-03-04  6:12 Michał Górny
2016-01-25 19:45 Michał Górny
2016-01-01 10:25 Michał Górny
2016-01-01 10:25 Michał Górny
2015-12-14 22:14 Michał Górny
2015-12-12 12:59 Michał Górny
2015-12-02 20:08 Michał Górny
2015-10-30 23:37 Michał Górny
2015-10-30 23:37 Michał Górny
2015-10-12  8:52 Michał Górny
2015-10-11 18:19 Michał Górny
2015-09-22 17:42 Michał Górny
2015-09-11 18:51 Michał Górny
2015-08-12 20:51 Michał Górny
2015-08-10  7:15 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1457800396.9bea49004a2fe8d150e3d3adc0bb852d5ed63b12.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox